Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotify_Service.cpp File Reference

`#include "CosNotify_Service.h"`
`#include "Properties.h"`
`#include "Default_Factory.h"`
`#include "Builder.h"`
`#include "ace/Sched_Params.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Dynamic_Service.h"`
`#include "tao/ORB_Core.h"`
`#include "orbsvcs/NotifyExtC.h"`
`#include "tao/debug.h"`

Include dependency graph for CosNotify_Service.cpp:

## Functions
const char * | get_rcsid_Notify_TAO_CosNotify_Service (const char *)
| ACE_STATIC_SVC_DEFINE (TAO_Notify_Default_EMO_Factory_OLD, ACE_TEXT(TAO_NOTIFY_DEF_EMO_FACTORY_NAME), ACE_SVC_OBJ_T,&ACE_SVC_NAME(TAO_CosNotify_Service), ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ, 0) ACE_STATIC_SVC_DEFINE(TAO_CosNotify_Service
| ACE_TEXT (TAO_COS_NOTIFICATION_SERVICE_NAME)
& | ACE_SVC_NAME (TAO_CosNotify_Service)
## Variables
const char * | rcsid_Notify_TAO_CosNotify_Service = get_rcsid_Notify_TAO_CosNotify_Service ( rcsid_Notify_TAO_CosNotify_Service )
| ACE_SVC_OBJ_T

## Function Documentation

ACE_STATIC_SVC_DEFINE | ( | TAO_Notify_Default_EMO_Factory_OLD | ,
|  | ACE_TEXT(TAO_NOTIFY_DEF_EMO_FACTORY_NAME) | ,
|  | ACE_SVC_OBJ_T | ,
|  | & | ACE_SVC_NAME(TAO_CosNotify_Service),
|  | ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ | ,
|  | 0 |
| ) |

& ACE_SVC_NAME | ( | TAO_CosNotify_Service |  | ) |

ACE_TEXT | ( | TAO_COS_NOTIFICATION_SERVICE_NAME |  | ) |

const char* get_rcsid_Notify_TAO_CosNotify_Service | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

ACE_SVC_OBJ_T

const char* rcsid_Notify_TAO_CosNotify_Service = get_rcsid_Notify_TAO_CosNotify_Service ( rcsid_Notify_TAO_CosNotify_Service )`[static]`